Skip to content

get_text_model_paramGetTextModelParamGetTextModelParamget_text_model_paramT_get_text_model_param🔗

Short description🔗

get_text_model_paramGetTextModelParamGetTextModelParamget_text_model_paramT_get_text_model_param — Query parameters of a text model.

Signature🔗

get_text_model_param( text_model TextModel, string GenParamName, out string GenParamValue )void GetTextModelParam( const HTuple& TextModel, const HTuple& GenParamName, HTuple* GenParamValue )static void HOperatorSet.GetTextModelParam( HTuple textModel, HTuple genParamName, out HTuple genParamValue )def get_text_model_param( text_model: HHandle, gen_param_name: str ) -> Sequence[Union[int, float, str]]

def get_text_model_param_s( text_model: HHandle, gen_param_name: str ) -> Union[int, float, str]Herror T_get_text_model_param( const Htuple TextModel, const Htuple GenParamName, Htuple* GenParamValue )

HTuple HTextModel::GetTextModelParam( const HString& GenParamName ) const

HTuple HTextModel::GetTextModelParam( const char* GenParamName ) const

HTuple HTextModel::GetTextModelParam( const wchar_t* GenParamName ) const (Windows only)

HTuple HTextModel.GetTextModelParam( string genParamName )

Description🔗

get_text_model_paramGetTextModelParam queries the parameters of TextModeltextModeltext_model. With the exception of 'ocr_classifier'"ocr_classifier", all valid parameters can be queried. See set_text_model_paramSetTextModelParam for a detailed description of the possible values for GenParamNamegenParamNamegen_param_name and GenParamValuegenParamValuegen_param_value.

Execution information🔗

Execution information
  • Multithreading type: reentrant (runs in parallel with non-exclusive operators).

  • Multithreading scope: global (may be called from any thread).

  • Processed without parallelization.

Parameters🔗

TextModeltextModeltext_model (input_control) text_model → (handle)HTuple (HHandle)HTextModel, HTuple (IntPtr)HHandleHtuple (handle)

Text model.

GenParamNamegenParamNamegen_param_name (input_control) string → (string)HTuple (HString)HTuple (string)strHtuple (char*)

Parameters to be queried.

Default: 'min_contrast'"min_contrast"
Suggested values: 'add_fragments', 'dot_print', 'dot_print_max_dot_gap', 'dot_print_min_char_gap', 'dot_print_tight_char_spacing', 'eliminate_border_blobs', 'max_char_height', 'max_char_width', 'max_stroke_width', 'min_char_height', 'min_char_width', 'min_contrast', 'min_stroke_width', 'num_classes', 'polarity', 'return_punctuation', 'return_separators', 'return_whole_line', 'separate_touching_chars', 'text_line_separators', 'text_line_structure', 'text_line_structure_0', 'text_line_structure_1', 'text_line_structure_2', 'manual_add_fragments', 'manual_base_line_tolerance', 'manual_char_height', 'manual_char_width', 'manual_eliminate_border_blobs', 'manual_eliminate_horizontal_lines', 'manual_fragment_size_min', 'manual_is_dotprint', 'manual_is_imprinted', 'manual_max_line_num', 'manual_persistence', 'manual_polarity', 'manual_return_punctuation', 'manual_return_separators', 'manual_stroke_width', 'manual_text_line_structure', 'manual_text_line_structure_0', 'manual_text_line_structure_1', 'manual_text_line_structure_2', 'manual_uppercase_only'"add_fragments", "dot_print", "dot_print_max_dot_gap", "dot_print_min_char_gap", "dot_print_tight_char_spacing", "eliminate_border_blobs", "max_char_height", "max_char_width", "max_stroke_width", "min_char_height", "min_char_width", "min_contrast", "min_stroke_width", "num_classes", "polarity", "return_punctuation", "return_separators", "return_whole_line", "separate_touching_chars", "text_line_separators", "text_line_structure", "text_line_structure_0", "text_line_structure_1", "text_line_structure_2", "manual_add_fragments", "manual_base_line_tolerance", "manual_char_height", "manual_char_width", "manual_eliminate_border_blobs", "manual_eliminate_horizontal_lines", "manual_fragment_size_min", "manual_is_dotprint", "manual_is_imprinted", "manual_max_line_num", "manual_persistence", "manual_polarity", "manual_return_punctuation", "manual_return_separators", "manual_stroke_width", "manual_text_line_structure", "manual_text_line_structure_0", "manual_text_line_structure_1", "manual_text_line_structure_2", "manual_uppercase_only"

GenParamValuegenParamValuegen_param_value (output_control) string(-array) → (integer / real / string)HTuple (Hlong / double / HString)HTuple (int / long / double / string)Sequence[Union[int, float, str]]Htuple (Hlong / double / char*)

Values of Parameters.

Result🔗

If the input parameters are set correctly, the operator get_text_model_paramGetTextModelParam returns the value 2 (H_MSG_TRUE). Otherwise, an exception will be raised.

Combinations with other operators🔗

Combinations

See also

set_text_model_paramSetTextModelParam

Module🔗

OCR/OCV